## virtualbmc 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
libvirt-python>=6.0.0 # LGPLv2+
pyghmi>=1.2.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
pyzmq>=19.0.0  # LGPL+BSD

=== doc/requirements.txt ===
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

## virtualbmc 2.2.2

=== debian/changelog ===
virtualbmc (2.2.2-0ubuntu3) kinetic; urgency=medium

  * d/rules: Enable systemd service by default

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 18 Aug 2022 14:59:53 -0700

virtualbmc (2.2.2-0ubuntu2) kinetic; urgency=medium

  * d/copyright: Fix debian/ copyright.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2022 15:41:34 -0400

virtualbmc (2.2.2-0ubuntu1) kinetic; urgency=low

  * Initial release.

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 29 Jul 2022 12:41:35 -0700

=== debian/control ===
Source: virtualbmc
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pbr,
 python3-libvirt,
 python3-zmq,
 python3-cliff,
 python3-pyghmi,
 python3-oslotest
Standards-Version: 4.6.0
Homepage: https://opendev.org/openstack/virtualbmc
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/virtualbmc
Testsuite: autopkgtest-pkg-python

Package: virtualbmc
Architecture: all
Depends:
 python3-virtualbmc (= ${source:Version}),
 ${misc:Depends},
Description: A virtual BMC for controlling virtual machines using IPMI commands
 The VirtualBMC tool simulates a Baseboard Management Controller (BMC) by
 exposing IPMI responder to the network and talking to libvirt at the host
 vBMC is running at to manipulate virtual machines which pretend to be bare
 metal servers.
 .
 This package contains the virtual BMC server.

Package: python3-virtualbmc
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: A virtual BMC for controlling virtual machines using IPMI commands
 The VirtualBMC tool simulates a Baseboard Management Controller (BMC) by
 exposing IPMI responder to the network and talking to libvirt at the host
 vBMC is running at to manipulate virtual machines which pretend to be bare
 metal servers.
 .
 This package contains the Python 3 module.

## virtualbmc 3.0.1

=== debian/changelog ===
virtualbmc (3.0.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 01:12:21 +0000

virtualbmc (3.0.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:11:46 -0400

virtualbmc (3.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Feb 2023 16:25:18 -0500

## virtualbmc 3.1.0

=== debian/changelog ===
virtualbmc (3.1.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:32:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,22 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-sphinx (>= 2.0.0),
  python3-setuptools,
 Build-Depends-Indep:
- python3-pbr,
- python3-libvirt,
- python3-zmq,
- python3-cliff,
- python3-pyghmi,
- python3-oslotest
+ python3-cliff (>= 2.8.0),
+ python3-libvirt (>= 6.0.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-pyghmi (>= 1.2.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
+ python3-stestr (>= 1.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-zmq (>= 19.0.0),
 Standards-Version: 4.6.0
 Homepage: https://opendev.org/openstack/virtualbmc
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/virtualbmc
@@ -36,6 +44,11 @@
 Package: python3-virtualbmc
 Architecture: all
 Depends:
+ python3-cliff (>= 2.8.0),
+ python3-libvirt (>= 6.0.0),
+ python3-pbr (>= 2.0.0),
+ python3-pyghmi (>= 1.2.0),
+ python3-zmq (>= 19.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: A virtual BMC for controlling virtual machines using IPMI commands

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=virtualbmc
export PYBUILD_TEST_ARGS=-k "unit.test_vbmc" -k "unit.test_utils" -k "unit.test_manager"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installsystemd:
	dh_installsystemd --name vbmcd

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/virtualbmc/virtualbmc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
